petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESNGMRESSetRestartType

Sets the restart type for SNESNGMRES.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNGMRESSetRestartType(SNES snes,SNESNGMRESRestartType rtype)

Logically Collective on SNES

### Input Parameters

| snes | - the iterative context
| rtype | - restart type

### Options Database

| -snes_ngmres_restart_type<difference,periodic,none> | - set the restart type
| -snes_ngmres_restart[30] | - sets the number of iterations before restart for periodic

### SNESNGMRESRestartTypes

| SNES_NGMRES_RESTART_NONE | - never restart
| SNES_NGMRES_RESTART_DIFFERENCE | - restart based upon difference criteria
| SNES_NGMRES_RESTART_PERIODIC | - restart after a fixed number of iterations

### Notes

The default line search used is the L2 line search and it requires two additional function evaluations.

### Keywords

SNES, SNESNGMRES, restart, type, set SNESLineSearch

### Level

intermediate

### Location

src/snes/impls/ngmres/snesngmres.c

### Implementations

SNESNGMRESSetRestartType_NGMRES in src/snes/impls/ngmres/snesngmres.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages